package com.enactor.training.paymentService.service.messages.gcash;

import com.enactor.core.entities.IEntity;
import com.enactor.core.entities.PropertyValidationException;

/**
 * Add comments for the MessageContent entity interface here
 */
public interface IMessageContent extends IEntity {

	
	/**
	 * Set the Head
	 *
	 * @param head
	 * @throws PropertyValidationException
	 */
	public void setHead(MessageHead head) throws PropertyValidationException;
	
	/**
	 * Get the Head
	 *
	 * @return head
	 */
	public MessageHead getHead();
	
	
	/**
	 * Set the Body
	 *
	 * @param body
	 * @throws PropertyValidationException
	 */
	public void setBody(MessageBody body) throws PropertyValidationException;
	
	/**
	 * Get the Body
	 *
	 * @return body
	 */
	public MessageBody getBody();
	
	
}
